Subject: Re: Laptop sleep & current "git" tree

From: John Steele Scott <[email-masked]>
Date: Mon, 09 May 2005 08:05:18 +0930

Colin Leroy <[email-masked]> writes:
> On 08 May 2005 at 14h05, John Steele Scott wrote:
>> I finally tried this today, using 2.6.12-rc4, which has this patch.
>> Without USB devices attached, it's okay, but with my USB hub
>> attached, I get a (reproducable) panic in echi_hcd on the way to
>> sleep.
>> 
>> I took a photo of the panic and enhanced it for readability, it's at
>> <http://www.toojays.net/portal/Members/toojays/ibook-g4-sleep-crash-2.6.12-rc4.jpg>.
>
> linux-usb-devel may be interested. (I don't have an usb hub so can't
> test it)

I forwarded the bug report to linux-usb-devel as per Colin's suggestion, and
David Brownell has fixed it. His post, which includes the patch, can be found
at <http://marc.theaimsgroup.com/?l=linux-usb-devel&m=111558764113428&w=2>

cheers,

John